> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-hi/deploy/vision-events.md).

# Vision Events

## अवलोकन

Vision Events एक Roboflow datastore है जो महत्वपूर्ण events, जैसे defect का detection या inventory की count, को आपके deployed computer vision model की visual information के साथ capture कर सकता है। इससे आपको production में आपका vision system जो कुछ भी observe करता है, उसका एक searchable, filterable history मिलता है।

## Vision Event क्या है?

एक Vision Event एक timestamped record है जो तब बनाया जाता है जब कोई model एक image process करता है। प्रत्येक event वैकल्पिक रूप से निम्नलिखित capture कर सकता है:

* **छवियाँ**: संसाधित की गई original images और उनसे संबंधित output images
* **Predictions**: मॉडल द्वारा लौटाए गए object detections, classifications, instance segmentations, या keypoints
* **Source metadata**: किस device, stream, या workflow ने event generate किया
* **Custom metadata**: आपके domain के लिए आपके द्वारा परिभाषित key-value pairs (उदा. `line_number`, `shift`, `part_number`)

प्रोग्रामmatic access के लिए, देखें [Vision Events API Reference](https://docs.roboflow.com/developer/rest-api/vision-events).

{% embed url="<https://www.youtube.com/watch?v=4HlYG1MacRk>" %}

## Key Concepts

### Use Cases

A **Use Case** ऐसे events का समूह बनाता है जो एक common purpose और custom metadata structure साझा करते हैं। एक ही Use Case के events आम तौर पर समान metadata fields भेजते हैं, ताकि आप उन्हें consistently filter और query कर सकें।

उदाहरण के लिए, एक "Defect Detection" Use Case में हमेशा `line_id`, `shift`और `part_number` शामिल हो सकता है, भले ही events कई factories या camera locations से आते हों। जब metadata structure मूल रूप से अलग हो (उदा. "PPE Compliance" ट्रैक करता है `zone` और `alert_type` इसके बजाय).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-hi/deploy/vision-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
